package com.aliyun.vodplayer.demo.activity;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.aliyun.vodplayer.demo.R;

/**
 * Created by pengshuang on 28/08/2017.
 */

public class DemoSourceVidActivity extends AppCompatActivity {

    private EditText urlEdit;
    private EditText vidEdit;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_source_vid);

        urlEdit = (EditText) findViewById(R.id.url);
        vidEdit = (EditText) findViewById(R.id.vid);
        //点击事件
        findViewById(R.id.diagnosis_go).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startDiagnosis();
            }
        });
    }

    private void startDiagnosis() {
        String source = urlEdit.getText().toString();
        String vid = vidEdit.getText().toString();

        if(source.isEmpty() && vid.isEmpty()) {
            Toast.makeText(DemoSourceVidActivity.this, "请至少填写source或者vid的一项信息", Toast.LENGTH_LONG).show();
            return;
        }

        Intent intent = new Intent();
        intent.setClass(this, DemoDiagnosisiActivity.class);
        //将vid和authinfo传递过去
        intent.putExtra("source", source);
        intent.putExtra("vid", vid);

        startActivity(intent);
    }
}
