package com.aliyun.vodplayer.demo.utils;

import android.content.Context;
import android.os.Build;
import android.support.annotation.RequiresApi;
import android.widget.Toast;

import com.aliyun.vodplayer.demo.activity.DemoDownloadActivity;
import com.aliyun.vodplayer.utils.HttpClientUtil;

import org.json.JSONObject;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * Created by pengshuang on 31/08/2017.
 */

public class PlayAuthUtil {

//    @RequiresApi(api = Build.VERSION_CODES.KITKAT)
    public static String getPlayAuth(Context context, String vid) {

        String strAuth = null;

        try {
            String response = HttpClientUtil.doHttpGet("http://30.27.92.84:9988/?playauth=1&vid=" + vid);
            String jsonAuthinfo = response.replaceAll("u'", "\"").replace("'", "\"");
            JSONObject authinfo = new JSONObject(jsonAuthinfo);
            strAuth = authinfo.get("PlayAuth").toString();

        } catch (Exception e) {
            if (context != null) {
                Toast.makeText(context, "通过网络实时获取authinfo解析失败", Toast.LENGTH_SHORT).show();
            }
        } finally {
            return strAuth;
        }

    }


}
