package com.aliyun.vodplayer.demo.activity;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.EditText;

import com.aliyun.vodplayer.demo.R;

/**
 * @Author: lifujun@alibaba-inc.com
 * @Date: 2017/1/9.
 * @Description:
 */
@Deprecated
public class DemoDataSourceActivity extends AppCompatActivity {

    private EditText mVidEdit;
    private EditText mKeyIdEdit;
    private EditText mSecretEdit;
    private EditText mPlaykeyEdit;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_demo_datasource);
        //填写vid和密码。开发者请注意密码的防泄漏。
        mVidEdit = (EditText) findViewById(R.id.vid);
        mKeyIdEdit = (EditText) findViewById(R.id.keyid);
        mSecretEdit = (EditText) findViewById(R.id.secret);
        mPlaykeyEdit = (EditText) findViewById(R.id.playkey);

        //点击事件
        findViewById(R.id.no_skin).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startNoSkinActivity();
            }
        });
        findViewById(R.id.with_skin).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startSkinActivity();
            }
        });
        findViewById(R.id.with_fixed_skin).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startFixedSkinActivity();
            }
        });
    }

    private void startSkinActivity() {
        /**
         * TODO 此方法不建议大家使用，可能存在信息泄露风险！！
         * 建议的方法，请参考{@link DemoAuthInfoActivity}
         */

        String vid = mVidEdit.getText().toString();
        String secret = mSecretEdit.getText().toString();
        String keyid = mKeyIdEdit.getText().toString();
        String playKey = mPlaykeyEdit.getText().toString();

        Intent intent = new Intent();
        intent.setClass(this, SkinActivity.class);
        intent.putExtra("type","datasource");
        //将vid和secret传递过去
        intent.putExtra("vid", vid);

        intent.putExtra("keyid", keyid);
        intent.putExtra("secret", secret);
        intent.putExtra("playKey", playKey);

        startActivity(intent);
    }

    private void startFixedSkinActivity() {
        /**
         * TODO 此方法不建议大家使用，可能存在信息泄露风险！！
         * 建议的方法，请参考{@link DemoAuthInfoActivity}
         */

        String vid = mVidEdit.getText().toString();
        String secret = mSecretEdit.getText().toString();
        String keyid = mKeyIdEdit.getText().toString();
        String playKey = mPlaykeyEdit.getText().toString();

        Intent intent = new Intent();
        intent.setClass(this, FixedSkinActivity.class);
        intent.putExtra("type","datasource");
        //将vid和secret传递过去
        intent.putExtra("vid", vid);

        intent.putExtra("keyid", keyid);
        intent.putExtra("secret", secret);
        intent.putExtra("playKey", playKey);

        startActivity(intent);
    }

    private void startNoSkinActivity() {
        /**
         * TODO 此方法不建议大家使用，可能存在信息泄露风险！！
         * 建议的方法，请参考{@link DemoAuthInfoActivity}
         */
        String vid = mVidEdit.getText().toString();
        String keyid = mKeyIdEdit.getText().toString();
        String secret = mSecretEdit.getText().toString();
        String playKey = mPlaykeyEdit.getText().toString();

        Intent intent = new Intent();
        intent.setClass(this, NoSkinActivity.class);
        intent.putExtra("type","datasource");
        //将vid和secret传递过去
        intent.putExtra("vid", vid);
        intent.putExtra("keyid", keyid);
        intent.putExtra("secret", secret);
        intent.putExtra("playKey", playKey);

        startActivity(intent);
    }
}
