package com.aliyun.vodplayer.demo.activity;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;


import com.aliyun.vodplayer.demo.R;

public class DemoLocalSourceActivity extends AppCompatActivity {

    private EditText urlEdit;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_demo_local_source);

        urlEdit = (EditText) findViewById(R.id.url);
        //点击事件
        findViewById(R.id.no_skin).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startNoSkinActivity();
            }
        });
        findViewById(R.id.with_skin).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startSkinActivity();
            }
        });
    }

    private void startSkinActivity() {

        String url = urlEdit.getText().toString();

        Intent intent = new Intent();
        intent.setClass(this, SkinActivity.class);
        intent.putExtra("type","localSource");

        intent.putExtra("url", url);

        startActivity(intent);
    }

    private void startNoSkinActivity() {
        String url = urlEdit.getText().toString();
        Intent intent = new Intent();
        intent.setClass(this, NoSkinActivity.class);
        intent.putExtra("type","localSource");

        intent.putExtra("url", url);

        startActivity(intent);
    }
}
